## vmadm 0.4.0.ci20241123T100910

=== debian/changelog ===
vmadm (0.4.0.ci20241123T100910-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 23 Nov 2024 10:09:10 +0000

vmadm (0.4.0-1) unstable; urgency=medium

  * Work in progress.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 01 Apr 2021 09:42:47 +0300

vmadm (0.3.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 23 Mar 2021 07:24:56 +0200

vmadm (0.2.1-1) unstable; urgency=medium

  * New release..

 -- Lars Wirzenius <liw@liw.fi>  Sun, 14 Mar 2021 09:29:41 +0200

vmadm (0.2.0-1) unstable; urgency=low

  * Initial packaging. This is not intended to be uploaded to Debian, so
    no closing of an ITP bug.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 13 Mar 2021 10:37:19 +0200

## vmadm 0.4.0.ci20250421T050254

=== debian/changelog ===
vmadm (0.4.0.ci20250421T050254-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Mon, 21 Apr 2025 05:02:54 +0000

## vmadm 0.4.0.ci20250906T051402

=== debian/changelog ===
vmadm (0.4.0.ci20250906T051402-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 06 Sep 2025 05:14:02 +0000

## vmadm 0.4.0.ci20250908T084409

=== debian/changelog ===
vmadm (0.4.0.ci20250908T084409-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Sep 2025 08:44:10 +0000

## vmadm 0.4.0.ci20250913T053305

=== debian/changelog ===
vmadm (0.4.0.ci20250913T053305-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 13 Sep 2025 05:33:05 +0000

## vmadm 0.4.0.ci20250920T115151

=== debian/changelog ===
vmadm (0.4.0.ci20250920T115151-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Sep 2025 11:51:52 +0000

## vmadm 0.4.0.ci20250922T054243

=== debian/changelog ===
vmadm (0.4.0.ci20250922T054243-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 05:42:43 +0000

## vmadm 0.4.0.ci20250922T071248

=== debian/changelog ===
vmadm (0.4.0.ci20250922T071248-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 07:12:48 +0000

## vmadm 0.4.0.ci20250927T074519

=== debian/changelog ===
vmadm (0.4.0.ci20250927T074519-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 07:45:19 +0000

## vmadm 0.4.0.ci20251004T034351

=== debian/changelog ===
vmadm (0.4.0.ci20251004T034351-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 04 Oct 2025 03:43:51 +0000

## vmadm 0.4.0.ci20251010T065210

=== debian/changelog ===
vmadm (0.4.0.ci20251010T065210-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 06:52:10 +0000

## vmadm 0.4.0.ci20251012T061848

=== debian/changelog ===
vmadm (0.4.0.ci20251012T061848-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 12 Oct 2025 06:18:49 +0000

## vmadm 0.4.0.ci20251013T075742

=== debian/changelog ===
vmadm (0.4.0.ci20251013T075742-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 07:57:43 +0000

## vmadm 0.4.0.ci20251013T093501

=== debian/changelog ===
vmadm (0.4.0.ci20251013T093501-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 09:35:02 +0000

## vmadm 0.4.0.ci20251013T101214

=== debian/changelog ===
vmadm (0.4.0.ci20251013T101214-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 10:12:14 +0000

## vmadm 0.4.0.ci20251014T111152

=== debian/changelog ===
vmadm (0.4.0.ci20251014T111152-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:11:52 +0000

## vmadm 0.4.0.ci20251014T114732

=== debian/changelog ===
vmadm (0.4.0.ci20251014T114732-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:47:32 +0000

## vmadm 0.4.0.ci20251014T150353

=== debian/changelog ===
vmadm (0.4.0.ci20251014T150353-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:03:53 +0000

## vmadm 0.4.0.ci20251014T153751

=== debian/changelog ===
vmadm (0.4.0.ci20251014T153751-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:37:51 +0000

## vmadm 0.4.0.ci20251102T070607

=== debian/changelog ===
vmadm (0.4.0.ci20251102T070607-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 07:06:07 +0000

## vmadm 0.4.0.ci20260112T122450

=== Makefile ===
IMAGE = /scratch/dist/base-images/trixie-vm.qcow2
TESTS =
TARGET = #--target x86_64-unknown-linux-musl

all: test

test: build
	cargo test $(TARGET) -- $(TESTS)
	rm -f test.log
	# python3 test.py --log test.log --env="BASE_IMAGE=$(IMAGE)" $(TESTS)

build: check
	cargo build --workspace --all-targets $(TARGET)
	subplot docgen vmadm.subplot -o vmadm.html
	subplot codegen vmadm.subplot -o test.py

check:
	cargo fmt --check
	cargo clippy --workspace --all-targets -- --deny warnings

## vmadm 0.4.0.ci20251102T152209

=== debian/changelog ===
vmadm (0.4.0.ci20251102T152209-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 15:22:09 +0000

=== debian/control ===
Source: vmadm
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: admin
Priority: optional
Standards-Version: 4.2.0
Build-Depends:
 debhelper (>= 10~),
 libvirt-dev,
 moreutils,
 plantuml,
 python3-yaml,
 subplot
Homepage: https://obnam.org

Package: vmadm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, virtinst, genisoimage
Built-Using: ${cargo:Built-Using}
Description: administer virtual machines
 vmadm adkminsters virtual machines.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --path=. --root=debian/vmadm --offline
	find debian/vmadm -name '.crates*' -delete

override_dh_auto_test:
	echo tests not run when building Debian package
	echo they need a running libvirt and system configuration

## vmadm 0.4.0.ci20251107T151233

=== debian/changelog ===
vmadm (0.4.0.ci20251107T151233-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 07 Nov 2025 15:12:33 +0000

## vmadm 0.4.0.ci20251110T082137

=== debian/changelog ===
vmadm (0.4.0.ci20251110T082137-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 08:21:37 +0000

## vmadm 0.4.0.ci20251114T151358

=== debian/changelog ===
vmadm (0.4.0.ci20251114T151358-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 15:13:58 +0000

## vmadm 0.4.0.ci20251115T052053

=== debian/changelog ===
vmadm (0.4.0.ci20251115T052053-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 15 Nov 2025 05:20:53 +0000

## vmadm 0.4.0.ci20251122T114044

=== debian/changelog ===
vmadm (0.4.0.ci20251122T114044-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 22 Nov 2025 11:40:44 +0000

## vmadm 0.4.0.ci20251123T184613

=== debian/changelog ===
vmadm (0.4.0.ci20251123T184613-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 23 Nov 2025 18:46:13 +0000

## vmadm 0.4.0.ci20251125T150120

=== debian/changelog ===
vmadm (0.4.0.ci20251125T150120-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 15:01:20 +0000

## vmadm 0.4.0.ci20251130T070907

=== debian/changelog ===
vmadm (0.4.0.ci20251130T070907-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 07:09:07 +0000

## vmadm 0.4.0.ci20251204T081337

=== debian/changelog ===
vmadm (0.4.0.ci20251204T081337-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 04 Dec 2025 08:13:37 +0000

## vmadm 0.4.0.ci20251208T120032

=== debian/changelog ===
vmadm (0.4.0.ci20251208T120032-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Dec 2025 12:00:32 +0000

## vmadm 0.4.0.ci20251209T151134

=== debian/changelog ===
vmadm (0.4.0.ci20251209T151134-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 09 Dec 2025 15:11:34 +0000

## vmadm 0.4.0.ci20251215T055636

=== debian/changelog ===
vmadm (0.4.0.ci20251215T055636-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 05:56:36 +0000

## vmadm 0.4.0.ci20251215T092436

=== debian/changelog ===
vmadm (0.4.0.ci20251215T092436-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 09:24:36 +0000

## vmadm 0.4.0.ci20251220T143036

=== debian/changelog ===
vmadm (0.4.0.ci20251220T143036-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 14:30:36 +0000

## vmadm 0.4.0.ci20251221T042153

=== debian/changelog ===
vmadm (0.4.0.ci20251221T042153-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 04:21:54 +0000

## vmadm 0.4.0.ci20251221T060524

=== debian/changelog ===
vmadm (0.4.0.ci20251221T060524-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 06:05:25 +0000

## vmadm 0.4.0.ci20260105T115926

=== debian/changelog ===
vmadm (0.4.0.ci20260105T115926-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 05 Jan 2026 11:59:26 +0000

## vmadm 0.4.0.ci20260106T134747

=== debian/changelog ===
vmadm (0.4.0.ci20260106T134747-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 06 Jan 2026 13:47:47 +0000

## vmadm 0.4.0.ci20260112T122450

=== debian/changelog ===
vmadm (0.4.0.ci20260112T122450-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 12:24:50 +0000

## vmadm 0.4.0.ci20260114T121222

=== debian/changelog ===
vmadm (0.4.0.ci20260114T121222-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 12:12:22 +0000

## vmadm 0.4.0.ci20260118T130843

=== debian/changelog ===
vmadm (0.4.0.ci20260118T130843-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 18 Jan 2026 13:08:43 +0000

## vmadm 0.4.0.ci20260120T113628

=== debian/changelog ===
vmadm (0.4.0.ci20260120T113628-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 11:36:28 +0000

## vmadm 0.4.0.ci20260124T153105

=== debian/changelog ===
vmadm (0.4.0.ci20260124T153105-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 24 Jan 2026 15:31:05 +0000

## vmadm 0.4.0.ci20260125T062526

=== debian/changelog ===
vmadm (0.4.0.ci20260125T062526-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 25 Jan 2026 06:25:27 +0000

## vmadm 0.4.0.ci20260204T091549

=== debian/changelog ===
vmadm (0.4.0.ci20260204T091549-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 09:15:49 +0000

## vmadm 0.4.0.ci20260205T163905

=== debian/changelog ===
vmadm (0.4.0.ci20260205T163905-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 05 Feb 2026 16:39:05 +0000
